Package com.io7m.cardant.database.api

# Record Class CADatabaseQueriesItemsType.MetadataRemoveType.Parameters

java.lang.Object
java.lang.Record
com.io7m.cardant.database.api.CADatabaseQueriesItemsType.MetadataRemoveType.Parameters

Record Components:
  `item` - The item ID
  `names` - The metadata names

Enclosing interface:
  `CADatabaseQueriesItemsType.MetadataRemoveType`

public static record CADatabaseQueriesItemsType.MetadataRemoveType.Parameters(CAItemID item, Set<com.io7m.lanark.core.RDottedName> names) extends Record
Parameters for the operation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameters(CAItemID item, Set<com.io7m.lanark.core.RDottedName> names)`
  Creates an instance of a `Parameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAItemID`
  `item()`
  Returns the value of the `item` record component.
  `Set<com.io7m.lanark.core.RDottedName>`
  `names()`
  Returns the value of the `names` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Parameters

    public Parameters(CAItemID item, Set<com.io7m.lanark.core.RDottedName> names)
    Creates an instance of a `Parameters` record class.
    Parameters:
      `item` - the value for the `item` record component
      `names` - the value for the `names` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### item

    public CAItemID item()
    Returns the value of the `item` record component.
    Returns:
      the value of the `item` record component

  - ### names

    public Set<com.io7m.lanark.core.RDottedName> names()
    Returns the value of the `names` record component.
    Returns:
      the value of the `names` record component